DLQ

Bulk Delete DLQ messages

Delete multiple messages from the DLQ

DELETE/v2/dlq
cURL
curl --request DELETE \
  --url https://qstash-{region}.upstash.io/v2/dlq \
  --header 'Authorization: Bearer <token>'
200Response
{
  "cursor": "<string>",
  "deleted": 123
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Query parameters

dlqIdsquerystring[]

List of DLQ IDs to delete. If provided, other filters are ignored.

cursorquerystring

By providing a cursor you can paginate through all of the messages in the DLQ

messageIdquerystring

Filter DLQ messages by message ID

urlquerystring[]

Filter DLQ messages by destination URL. Supports multiple values.

topicNamequerystring[]

Filter DLQ messages by URL Group name. Supports multiple values.

scheduleIdquerystring[]

Filter DLQ messages by schedule ID. Supports multiple values.

queueNamequerystring[]

Filter DLQ messages by queue name. Supports multiple values.

fromDatequeryinteger

Filter DLQ messages by starting date, in milliseconds (Unix timestamp). This is inclusive.

toDatequeryinteger

Filter DLQ messages by ending date, in milliseconds (Unix timestamp). This is inclusive.

responseStatusqueryinteger[]

Filter DLQ messages by HTTP response status code of the last delivery attempt. Supports multiple values.

callerIpquerystring[]

Filter DLQ messages by IP address of the publisher. Supports multiple values.

labelquerystring[]

Filter DLQ messages by label. Supports multiple values. You can pass multiple values to match messages with any of the given labels (OR logic).

Examples:

  • label=my_label
  • label=label_1&label=label_2
  • label=label_1,label_2
flowControlKeyquerystring[]

Filter DLQ messages by Flow Control Key. Supports multiple values.

countqueryintegerdefault: 100

The number of messages to delete.

Response

200 — DLQ messages deleted successfully

cursorstring

A cursor which you can use in subsequent requests to paginate through all messages. If no cursor is returned, you have reached the end of the messages.

deletedinteger

The number of messages that were deleted.

Loading search…